org.eclipse.january.dataset

## Class BinaryOperation.Stub

- java.lang.Object
- - org.eclipse.january.dataset.BinaryOperation.Stub

- All Implemented Interfaces:
    BinaryOperation, IOperation
  Direct Known Subclasses:
    Operations.Exponentiation
  Enclosing interface:
    BinaryOperation

      public static class BinaryOperation.Stub
      extends Object
      implements BinaryOperation

  Stub class where only three methods need to be overridden: `complexOperate(double[], double, double, double, double)`, `toString(String, String)`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.january.dataset.BinaryOperation

      `BinaryOperation.Stub`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Stub()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `booleanOperate(long a, long b)`
    `void` | `complexOperate(double[] out, double ra, double ia, double rb, double ib)`
    `double` | `doubleOperate(double a, double b)`
    `long` | `longOperate(long a, long b)`
    `String` | `toString(String string, String string2)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Stub

          public Stub()

  - ### Method Detail

    - #### doubleOperate

          public double doubleOperate(double a,
                                      double b)

      Specified by:
        `doubleOperate` in interface `BinaryOperation`
      Parameters:
        `a` - first operand
        `b` - second operand
      Returns:
        a op b

    - #### booleanOperate

          public boolean booleanOperate(long a,
                                        long b)

      Specified by:
        `booleanOperate` in interface `BinaryOperation`
      Parameters:
        `a` - first operand
        `b` - second operand
      Returns:
        a op b

    - #### longOperate

          public long longOperate(long a,
                                  long b)

      Specified by:
        `longOperate` in interface `BinaryOperation`
      Parameters:
        `a` - first operand
        `b` - second operand
      Returns:
        a op b

    - #### complexOperate

          public void complexOperate(double[] out,
                                     double ra,
                                     double ia,
                                     double rb,
                                     double ib)

      Specified by:
        `complexOperate` in interface `BinaryOperation`
      Parameters:
        `out` - holds (ra, ia) op (rb, ib)
        `ra` - real part of first operand
        `ia` - imaginary part of first operand
        `rb` - real part of second operand
        `ib` - imaginary part of second operand

    - #### toString

          public String toString(String string,
                                 String string2)

      Specified by:
        `toString` in interface `BinaryOperation`
      Parameters:
        `string` - first operand
        `string2` - second operand
      Returns:
        string to represent output

Copyright © 2014–2022 Eclipse Foundation. All rights reserved.